<?php include('casa/setup.casa.php');
$codigo_venta = substr(sha1(uniqid()),1,9);

include('inc_scripts.php');
$title = 'Seleccione uno o varios productos para vender';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title.'
										<br><b>Código Venta: </b>'.$codigo_venta;?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div id='Productos' class="table-responsive">
										<table id="ventas" class="display table table-striped table-hover" >
											<thead>
												<tr>													
													<!--th>N&ordm;</th-->
													<th>producto</th>
													<th>piezas disponibles</th>
													<th>precios</th>
													<th>foto</th>
													<th>cantidad</th> 
													<th>vender</th>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
											WHERE prod.ubica_codigo = ubi.ubica_codigo	
											AND prod_estado = '1'										
											ORDER BY prod_id DESC;";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;																													
												$prod_id = $db->dbField('prod_id');
												$ubica_codigo = $db->dbField('ubica_codigo');
													$ubica_nombre = $db->dbField('ubica_nombre');													
													$ubica_color = $db->dbField('ubica_color');													
														
												$prod_item = $db->dbField('prod_item');
												$prod_codigo = $db->dbField('prod_codigo');
												$prod_nombre = $db->dbField('prod_nombre');
												$prod_foto = $db->dbField('prod_foto');
													if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
												$prod_piezascaja = $db->dbField('prod_piezascaja');
												$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
												$prod_preciounitario = $db->dbField('prod_preciounitario');
												$prod_preciodocena = $db->dbField('prod_preciodocena');
												$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
												$prod_fecha = $db->dbField('prod_fecha');
												//Calculos
												$prod_unidadesreal = $db->dbField('prod_unidadesreal');	
												$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,2);			
												$prod_observaciones = $db->dbField('prod_observaciones');	
												  if($prod_observaciones=='') $prod_observaciones='Sin observaciones';
												$html.='<tr>';
													$html.='<td><b>'.($prod_nombre).'</b><br>
															 <small><b>Ubicaci&oacute;n:&nbsp;</b><span style="background:'.$ubica_color.';padding:3px 7px;">'.$ubica_nombre.'</span></small><br>
															 <small><b>Item: </b>'.$prod_item.'</small></td>';
													
													$html.='<td>
															  <b>Piezas Caja: </b>'.$prod_piezascaja.'<br>
															  <b>Cantidad&nbsp;Cajas:&nbsp;</b>'.$CantidadRealCajas.'<br>
															  <b>Total Piezas: </b>'.$prod_unidadesreal.'</td>';														
																									
													$html.='<td>
															  <b>p. Unitario: </b>'.$prod_preciounitario.'<br>
															  <b>p. Docena: </b>'.$prod_preciodocena.'<br>
															  <b>p.Caja&nbsp;Docena:&nbsp;</b>'.$prod_preciocajadocena.'</td>';
													$html.='<td align=center><img src="'.PATH_HOME.'fotos/small_'.$prod_foto.'" width="170px"></td>';
																  
													if($CantidadRealCajas<=0 or $prod_unidadesreal<=0){
														$html.='<td align=center><h1>sin stock</h1></td>';	
														$html.='<td align=center><h1>sin stock</h1></td>';	
													}else{																		  
														$html.='<td width="1%" align=center>
															<div class="form-group form-group-default">
																<label>Cantidad por Precio Unitario:</label>
																<input type="number" id="PrecU_'.$i.'" onkeyup=CalcPrecU("'.$prod_preciounitario.'",$(this).val(),"'.$i.'") style="max-width:37%">
																<input type="text" id="ResPrecU_'.$i.'" style="max-width:40%" disabled>
																<label>Cantidad a Precio de Docena</label>
																<div id="CalcCajasUni_'.$i.'"></div>																
																<input type="number" id="PrecDoc_'.$i.'" onkeyup=CalcPrecDoc("'.$prod_piezascaja.'","'.$prod_preciodocena.'",$(this).val(),"'.$i.'") step="0.05" style="max-width:37%">
																<input type="text" id="ResPrecDoc_'.$i.'" style="max-width:40%" disabled>
																<label>Cantidad a Precio de Caja Docena</label>
																<div id="CalcCajasDocena_'.$i.'"></div>
																<input type="number" id="PrecCajaDoc_'.$i.'" onkeyup=CalcPrecCajaDoc("'.$prod_piezascaja.'","'.$prod_preciocajadocena.'",$(this).val(),"'.$i.'") step="0.05" style="max-width:37%">
																<input type="text" id="ResPrecCajaDoc_'.$i.'" style="max-width:40%" disabled>
															<br><b>'.$prod_observaciones.'</b></div>
														</td>';														  															  													
														$html.="<td align='center'>
														<a href='#' onclick=Vender('".$prod_codigo."','".$i."') class='btn btn-primary' style='color:white'>
														AGREGAR</a></td>";												
													}

												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
									</div>
									<div id='CarritoCompras'></div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		<div id='res'></div>
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#ventas').DataTable({
		"pageLength": 2,
	});
});	

function Vender(prod,num){	
	$.post('<?php echo PATH_HOME.'ventas-registrar/'. md5(uniqid()); ?>',{
	 'codigo_venta': '<?php echo $codigo_venta; ?>',
	 'prod_codigo': prod,
	 'Numtxt':num,
	 'PrecU': $('#PrecU_'+num).val(),
	 'PrecDoc': $('#PrecDoc_'+num).val(),
	 'PrecCajaDoc': $('#PrecCajaDoc_'+num).val(),	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
	},function(data){
		$('#res').html(data);
	}); 

	let rnd = Math.floor(Math.random()*977);
//	$('#CarritoCompras').load("<?php echo PATH_HOME.'ventas-carrito/'.$codigo_venta; ?>&rnd="+rnd);
	
}
function CalcPrecU(Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;	
	$("#PrecU_"+id).val(Cantidad);
	$("#ResPrecU_"+id).val(res);
}	
function CalcPrecDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecDoc_"+id).val(Cantidad);
	$("#ResPrecDoc_"+id).val(res);
	$("#CalcCajasUni_"+id).html("<b>"+CantUniCaja+" u * "+Cantidad+" cajas = "+cantCajaUni+"u</b>");	
}	
function CalcPrecCajaDoc(CantUniCaja,Precio,Cantidad,id){
	CleanText();
	let res = Precio*Cantidad;
	let cantCajaUni = CantUniCaja*Cantidad;

	$("#PrecCajaDoc_"+id).val(Cantidad);
	$("#ResPrecCajaDoc_"+id).val(res);
	$("#CalcCajasDocena_"+id).html("<b>"+CantUniCaja+" u * "+Cantidad+" cajas = "+cantCajaUni+"u</b>");	
}	
function CleanText(){
	<?php
	for($x=1;$x<=$i;$x++){
		echo '$("#CalcCajasUni_'.$x.'").html("");$("#PrecU_'.$x.'").val("");$("#PrecDoc_'.$x.'").val("");$("#PrecCajaDoc_'.$x.'").val("");$("#ResPrecU_'.$x.'").val("");
				$("#ResPrecDoc_'.$x.'").val("");$("#ResPrecCajaDoc_'.$x.'").val("");$("#CalcCajasUni_'.$x.'").html("");$("#CalcCajasDocena_'.$x.'").html("");';
	}
	?>
}
</script>